Commit 69167a50 authored by André Anjos's avatar André Anjos 💬

Merge branch 'fix-doc-version-discovery' into 'master'

Fix issue where dependent docs cannot find the right versions of installed doc indexes

See merge request !52
parents e4a74b01 fd5ff700
Pipeline #11508 passed with stages
in 13 minutes and 25 seconds
......@@ -532,7 +532,7 @@ def link_documentation(additional_packages = ['python', 'numpy'], requirements_f
url = s % package_name
else: #use new style, with mapping, try to link against specific version
try:
version = pkg_resources.require(package_name)[0].version
version = 'v' + pkg_resources.require(package_name)[0].version
except pkg_resources.DistributionNotFound:
version = 'stable' #package is not a runtime dep, only referenced
url = s % {'name': package_name, 'version': version}
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment